Bug 203706 - Layout test website-data-removal-for-site-navigated-to-with-link-decoration.html is a flaky failure
Summary: Layout test website-data-removal-for-site-navigated-to-with-link-decoration.h...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: katherine_cheney
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-10-31 17:13 PDT by katherine_cheney
Modified: 2019-11-06 08:21 PST (History)
4 users (show)

See Also:


Attachments
Patch (7.73 KB, patch)
2019-11-01 09:25 PDT, katherine_cheney
no flags Details | Formatted Diff | Diff
Patch (7.90 KB, patch)
2019-11-01 14:01 PDT, katherine_cheney
no flags Details | Formatted Diff | Diff
Patch (7.86 KB, patch)
2019-11-05 17:11 PST, katherine_cheney
no flags Details | Formatted Diff | Diff
Patch (7.85 KB, patch)
2019-11-05 18:13 PST, katherine_cheney
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description katherine_cheney 2019-10-31 17:13:36 PDT
website-data-removal-for-site-navigated-to-with-link-decoration.html is a flaky failure
Comment 1 Radar WebKit Bug Importer 2019-10-31 17:14:11 PDT
<rdar://problem/56801615>
Comment 2 katherine_cheney 2019-11-01 09:25:58 PDT
Created attachment 382587 [details]
Patch
Comment 3 katherine_cheney 2019-11-01 14:01:01 PDT
Created attachment 382625 [details]
Patch
Comment 4 katherine_cheney 2019-11-05 17:11:40 PST
Created attachment 382868 [details]
Patch
Comment 5 Chris Dumez 2019-11-05 17:59:00 PST
Comment on attachment 382868 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=382868&action=review

> Source/WebKit/NetworkProcess/Classifier/WebResourceLoadStatisticsStore.cpp:230
> +            m_persistentStorage->populateMemoryStoreFromDisk([protectedThis = protectedThis.copyRef(), completionHandler = WTFMove(completionHandler)]() mutable {

WTFMove(protectedThis)
Comment 6 katherine_cheney 2019-11-05 18:13:58 PST
Created attachment 382878 [details]
Patch
Comment 7 ews-feeder 2019-11-05 20:10:08 PST
Comment on attachment 382878 [details]
Patch

Rejecting attachment 382878 [details] from commit-queue.

katherine_cheney@apple.com does not have committer permissions according to https://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/contributors.json.

- If you do not have committer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have committer rights please correct the error in Tools/Scripts/webkitpy/common/config/contributors.json by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your committer rights.
Comment 8 Chris Dumez 2019-11-05 20:18:15 PST
(In reply to ews-feeder from comment #7)
> Comment on attachment 382878 [details]
> Patch
> 
> Rejecting attachment 382878 [details] from commit-queue.
> 
> katherine_cheney@apple.com does not have committer permissions according to
> https://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/
> contributors.json.
> 
> - If you do not have committer rights please read
> http://webkit.org/coding/contributing.html for instructions on how to use
> bugzilla flags.
> 
> - If you have committer rights please correct the error in
> Tools/Scripts/webkitpy/common/config/contributors.json by adding yourself to
> the file (no review needed).  The commit-queue restarts itself every 2
> hours.  After restart the commit-queue will correctly respect your committer
> rights.

Still not working? You really need to talk to somebody about this...
Comment 9 WebKit Commit Bot 2019-11-05 21:17:44 PST
Comment on attachment 382878 [details]
Patch

Clearing flags on attachment: 382878

Committed r252123: <https://trac.webkit.org/changeset/252123>
Comment 10 WebKit Commit Bot 2019-11-05 21:17:47 PST
All reviewed patches have been landed.  Closing bug.
Comment 11 katherine_cheney 2019-11-06 08:21:50 PST
(In reply to Chris Dumez from comment #8)
> (In reply to ews-feeder from comment #7)
> > Comment on attachment 382878 [details]
> > Patch
> > 
> > Rejecting attachment 382878 [details] from commit-queue.
> > 
> > katherine_cheney@apple.com does not have committer permissions according to
> > https://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/
> > contributors.json.
> > 
> > - If you do not have committer rights please read
> > http://webkit.org/coding/contributing.html for instructions on how to use
> > bugzilla flags.
> > 
> > - If you have committer rights please correct the error in
> > Tools/Scripts/webkitpy/common/config/contributors.json by adding yourself to
> > the file (no review needed).  The commit-queue restarts itself every 2
> > hours.  After restart the commit-queue will correctly respect your committer
> > rights.
> 
> Still not working? You really need to talk to somebody about this...

I know! I was told it was fixed on Friday, this is my first time trying it since then, I just followed up.